> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Flows - List my flows

> Returns all flows **owned** by the authenticated user, including drafts and unpublished workflows.

Unlike `GET /v1/ai/flows` which returns only flows published as tools, this endpoint returns
every flow the user has created — regardless of whether it has been published as a tool.

Each item includes the flow identifier and name.




## OpenAPI

````yaml get /v1/ai/me/flows
openapi: 3.0.0
info:
  description: >-
    The Magnific API is your gateway to a vast collection of high-quality
    digital resources for your applications and projects. As a leading platform,
    it offers a wide range of graphics, including vectors, photos,
    illustrations, icons, PSD templates, and more, all curated by talented
    designers from around the world.
  title: Magnific API
  version: 1.0.0
servers:
  - description: B2B API Production V1
    url: https://api.magnific.com
security:
  - magnificApiKey: []
paths:
  /v1/ai/me/flows:
    get:
      tags:
        - flows
      summary: Flows - List my flows
      description: >
        Returns all flows **owned** by the authenticated user, including drafts
        and unpublished workflows.


        Unlike `GET /v1/ai/flows` which returns only flows published as tools,
        this endpoint returns

        every flow the user has created — regardless of whether it has been
        published as a tool.


        Each item includes the flow identifier and name.
      operationId: list_my_flows
      responses:
        '200':
          content:
            application/json:
              examples:
                success:
                  $ref: '#/components/examples/200-list-my-flows'
              schema:
                $ref: '#/components/schemas/list_my_flows_200_response'
          description: OK - List of user's flows.
        '401':
          content:
            application/json:
              examples:
                invalid_api_key:
                  summary: API key is not valid
                  value:
                    message: Invalid API key
                missing_api_key:
                  summary: API key is not provided
                  value:
                    message: Missing API key
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: >-
            Unauthorized - The client must authenticate itself to get the
            requested response.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_500_response'
          description: >-
            Internal Server Error - The server has encountered a situation it
            doesn't know how to handle.
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_503_response'
          description: Service Unavailable
components:
  examples:
    200-list-my-flows:
      summary: Success - List of user's own flows
      value:
        data:
          - sqid: uqzQLDr2Aw
            name: My Custom Sketch to Image
          - sqid: n0LYQDBl58
            name: Product Background Remover
          - sqid: hCivqLJltZ
            name: Anime Style Transfer
  schemas:
    list_my_flows_200_response:
      example:
        data:
          - name: My Custom Sketch to Image
            sqid: uqzQLDr2Aw
          - name: My Custom Sketch to Image
            sqid: uqzQLDr2Aw
      properties:
        data:
          items:
            $ref: '#/components/schemas/list_my_flows_200_response_data_inner'
          type: array
      required:
        - data
      type: object
    get_all_style_transfer_tasks_400_response:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    get_all_style_transfer_tasks_500_response:
      example:
        message: Internal Server Error
      properties:
        message:
          example: Internal Server Error
          type: string
      type: object
    get_all_style_transfer_tasks_503_response:
      example:
        message: Service Unavailable. Please try again later.
      properties:
        message:
          example: Service Unavailable. Please try again later.
          type: string
      type: object
    list_my_flows_200_response_data_inner:
      example:
        name: My Custom Sketch to Image
        sqid: uqzQLDr2Aw
      properties:
        sqid:
          description: Short unique identifier of the flow.
          example: uqzQLDr2Aw
          type: string
        name:
          description: Human-readable name of the flow.
          example: My Custom Sketch to Image
          type: string
      type: object
  securitySchemes:
    magnificApiKey:
      description: >
        Your Magnific API key. Required for authentication. [Learn how to obtain
        an API key](https://docs.magnific.com/quickstart)
      in: header
      name: x-magnific-api-key
      type: apiKey

````